---
displayed_sidebar: jsClientSidebar
---

# Interface: HeadersDefaults

[internal](../modules/internal.md).HeadersDefaults

## Properties

### common

• **common**: [`AxiosRequestHeaders`](../modules/internal.md#axiosrequestheaders)

#### Defined in

medusa-js/node_modules/axios/index.d.ts:98

___

### delete

• **delete**: [`AxiosRequestHeaders`](../modules/internal.md#axiosrequestheaders)

#### Defined in

medusa-js/node_modules/axios/index.d.ts:99

___

### get

• **get**: [`AxiosRequestHeaders`](../modules/internal.md#axiosrequestheaders)

#### Defined in

medusa-js/node_modules/axios/index.d.ts:100

___

### head

• **head**: [`AxiosRequestHeaders`](../modules/internal.md#axiosrequestheaders)

#### Defined in

medusa-js/node_modules/axios/index.d.ts:101

___

### link

• `Optional` **link**: [`AxiosRequestHeaders`](../modules/internal.md#axiosrequestheaders)

#### Defined in

medusa-js/node_modules/axios/index.d.ts:107

___

### options

• `Optional` **options**: [`AxiosRequestHeaders`](../modules/internal.md#axiosrequestheaders)

#### Defined in

medusa-js/node_modules/axios/index.d.ts:105

___

### patch

• **patch**: [`AxiosRequestHeaders`](../modules/internal.md#axiosrequestheaders)

#### Defined in

medusa-js/node_modules/axios/index.d.ts:104

___

### post

• **post**: [`AxiosRequestHeaders`](../modules/internal.md#axiosrequestheaders)

#### Defined in

medusa-js/node_modules/axios/index.d.ts:102

___

### purge

• `Optional` **purge**: [`AxiosRequestHeaders`](../modules/internal.md#axiosrequestheaders)

#### Defined in

medusa-js/node_modules/axios/index.d.ts:106

___

### put

• **put**: [`AxiosRequestHeaders`](../modules/internal.md#axiosrequestheaders)

#### Defined in

medusa-js/node_modules/axios/index.d.ts:103

___

### unlink

• `Optional` **unlink**: [`AxiosRequestHeaders`](../modules/internal.md#axiosrequestheaders)

#### Defined in

medusa-js/node_modules/axios/index.d.ts:108
